/*
 * Copyright (C) 1996 Michael Davidson.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation.
 *
 * This software is provided "as is" without express or implied warranty.
 */

#include	<errno.h>
#include	"lxrun.h"

/*
 * filesystem specific system calls
 */

/*
 *	mount		(NOT IMPLEMENTED)
 *	umount		(NOT IMPLEMENTED)
 *	statfs		(NOT IMPLEMENTED)
 *	fstatfs		(NOT IMPLEMENTED)
 *	setfsuid	(NOT IMPLEMENTED)
 *	setfsgid	(NOT IMPLEMENTED)
 */

int lx_mount()		{ errno = ENOSYS; return -1; }	
int lx_umount()		{ errno = ENOSYS; return -1; }	
int lx_statfs()		{ errno = ENOSYS; return -1; }	
int lx_fstatfs()	{ errno = ENOSYS; return -1; }	
int lx_setfsuid()	{ errno = ENOSYS; return -1; }	
int lx_setfsgid()	{ errno = ENOSYS; return -1; }	
