/
/ Copyright (C) 1996 Michael Davidson.
/ All rights reserved.
/
/ Permission to use, copy, modify, and distribute this software
/ and its documentation for any purpose and without fee is hereby
/ granted, provided that the above copyright notice appear in all
/ copies and that both that copyright notice and this permission
/ notice appear in supporting documentation.
/
/ This software is provided "as is" without express or implied warranty.
/

	.text
/
/ "safe" getbyte() and putbyte()
/
	.globl	getbyte
	.globl	getbyte_can_fault_here
	.globl	getbyte_fault

	.align	4
getbyte:
	movl	4(%esp), %edx
	xorl	%eax, %eax
getbyte_can_fault_here:
	movb	(%edx), %al
	ret

	.align	4
getbyte_fault:
	movl	$-1, %eax
	ret

	.globl	putbyte
	.globl	putbyte_can_fault_here
	.globl	putbyte_fault

	.align	4
putbyte:
	movl	4(%esp), %edx
	xorl	%eax, %eax
	movb	8(%esp), %al
putbyte_can_fault_here:
	movb	%al, (%edx)
	ret

	.align	4
putbyte_fault:
	movl	$-1, %eax
	ret

