#if !defined(LX_MMAN_H)
#define LX_MMAN_H

#define LX_PROT_READ        0x1
#define LX_PROT_WRITE       0x2
#define LX_PROT_EXEC        0x4
#define LX_PROT_NONE        0x0

#define LX_MAP_SHARED       1
#define LX_MAP_PRIVATE      2
#define LX_MAP_TYPE         0xf
#define LX_MAP_FIXED        0x10
#define LX_MAP_ANONYMOUS    0x20

#define LX_MAP_GROWSDOWN	0x0100
#define LX_MAP_DENYWRITE	0x0800
#define LX_MAP_EXECUTABLE	0x1000

#define LX_MS_ASYNC		1
#define LX_MS_INVALIDATE	2
#define LX_MS_SYNC		4

#endif
