/*
 * Copyright (C) 1996 Michael Davidson.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation.
 *
 * This software is provided "as is" without express or implied warranty.
 */

#include	<errno.h>
#include	"lxrun.h"

/*
 * system calls for Linux kernel loadable modules
 */

/*
 *	create_module	(NOT IMPLEMENTED)
 *	init_module	(NOT IMPLEMENTED)
 *	delete_module	(NOT IMPLEMENTED)
 *	get_kernel_sym	(NOT IMPLEMENTED)
 */

int lx_create_module()	{ errno = ENOSYS; return -1; }	
int lx_init_module()	{ errno = ENOSYS; return -1; }	
int lx_delete_module()	{ errno = ENOSYS; return -1; }	
int lx_get_kernel_syms(){ errno = ENOSYS; return -1; }	
